/**************************/
/*** COMPETENCES STYLES ***/
/**************************/

/* Compétences */

.competences-content{
    padding-top: 5.5rem;
    padding-left: 4rem;
    padding-right: 4rem;
}

.competences-content h2 {
    margin-bottom: 3rem;
}

.competences-content table{
    width: 90%;
}

.competences-content th{
    text-align: left;
}
.competences-content .first th{
    font-family: Circular;
    font-size: .9rem;
    color: #171717;
    text-transform: uppercase;
    letter-spacing: .1rem;
}
.competences-content tr:not(.first) th {
    /* color: #0095B6; */
    color: #004fb6;
    font-weight: bold;
}
.competences-content th,
.competences-content td {
    padding: 1.15rem;
}
.competences-content tr {
    border-bottom: .05rem solid #787878;
}
.competences-content tr:last-of-type {
    border:0;
}
.competences-content tr th:nth-of-type(1),
.competences-content tr th:nth-of-type(2),
.competences-content tr td:nth-of-type(1) {
    border-right: .05rem solid #787878;
}

.competences-content tr th:nth-of-type(4){
    border-left: 0.05rem solid #787878;
}

.competences-content tr td:nth-of-type(3) {
    border-left: .05rem solid #787878;
}

.competences-content .yellow-star,
.competences-content .half-yellow-star,
.competences-content .grey-star {
    width: 21px;
    height: 21px;
    margin-right: 4px;
    display: inline-block;
}
.competences-content .grey-star {
    background-image: url(../images/competences/grey-star.png);
}
.competences-content .yellow-star {
    background-image: url(../images/competences/yellow-star.png);
}
.competences-content .half-yellow-star {
    background-image: url(../images/competences/half-yellow-star.png);
}

@media screen and (max-width:1400px) {

    .competences-content table{
        width: 95%;
    }
}

@media screen and (max-width:1100px) {

    .competences-content table{
        width: 100%;
    }
}

/**********************/
/*** links ***/
/**********************/

.other_links{
    padding-top: 5.5rem;
    padding-left: 4rem;
    padding-right: 4rem;
}

.other_links h2 {
    margin-bottom: 3rem;
}

/**********************/
/*** CONTACT STYLES ***/
/**********************/

/* Form */

.contact-content input,
.contact-content textarea {
    width: 100%;
    border: 0;
    padding: 1rem;
    margin-bottom: 1rem;
    font-family: Nunito;
    font-size: 1rem;
    color: #787878;
}

.contact-content fieldset {
    columns: 2;
    -webkit-columns: 2;
    -moz-columns: 2;
    column-gap: 1rem;
    -webkit-column-gap: 1rem;
    -moz-column-gap: 1rem;
}

.contact-content input[type=submit]{
    color: white;
    width: auto;
    display: inline-block;
    cursor: pointer;
}

/* Coordonnées */

.contact-content ul {
    list-style: none;
    columns: 2;
}

.contact-content li {
    line-height: 1.75;
}

/* Map */

.contact-content .map{
    width: 100%;
    height: 20rem;
}


/*********************/
/*** PROJET STYLES ***/
/*********************/

.project-content .glide__slide{
    flex:1;
}

.project-content .glide {
    margin-bottom: 1.5rem;
    z-index: 1;
}


/*********************/
/*** PROJETS RÉALISÉS STYLES ***/
/*********************/

.all-projects {
    text-align: center;
    padding-top: 5.5rem;
    padding-bottom: 2rem;
    background-color: lightgrey;
}

.all-projects h2 {
    margin-bottom: 1.5rem;
}

.all-projects > p {
    margin: 0 auto 3.25rem;
    max-width: 53.15rem;
    font-size: 1.25rem;
}

.all-projects .projects {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    margin-bottom: 2.25rem;
}

.all-projects .projects:hover {
    /* height: 500px; */
    /* padding-bottom: 10%; */
}

.all-projects .project{
    -webkit-box-flex:1;
        -ms-flex:1;
            flex:1;
    max-width: 360px;
    background-color: white;
    text-align: left;
    text-decoration: none;
    margin-bottom: auto;
    -webkit-transition: background-color 400ms;
    transition: background-color 400ms;
}

.all-projects .project:hover .text p{
    /* opacity: 1; */
    max-height: 200px;
    /* transition: ease;
    transition-duration: 0.25s; */
}

.all-projects .project:hover{
    -webkit-box-shadow: 0 0 .95rem rgba(23,23,23,.1);
            box-shadow: 0 0 .95rem rgba(23,23,23,.1);
}

.all-projects .text {
    padding: 1.1rem 1.35rem;
}

.all-projects .project h3 {
    /* color: #0095B6; */
    color: #004fb6;
    font-size: 1.15rem;
    text-transform: uppercase;
    font-family: Circular;
    font-weight: bold;
    margin-bottom: .25rem;
}

.all-projects .project span {
    color: #171717;
    font-size: 1rem;
    font-family: Circular;
    font-weight: bold;
    display: inline-block;
    margin-bottom: .5rem;
}

.all-projects .project p {
    color: #5a5a5a;
    /* font-family: Verdana, Geneva, Tahoma, sans-serif; */
    font-family: Montserrat;
    /* opacity: 0; */
    max-height: 0px;
    overflow: hidden;
    transition: max-height 0.25s;
    -webkit-transition: max-height 0.25s;
}

@media screen and (max-width:840px) {
    
    .all-projects .projects {
        -webkit-box-orient    : vertical;
        -webkit-box-direction : normal;
            -ms-flex-direction: column;
                flex-direction: column;
        -webkit-box-align     : center;
            -ms-flex-align    : center;
                align-items   : center;

    }
}

@media screen and (min-width:841px) {

    .all-projects .project:nth-child(2) {
        margin-left: 1rem;
        margin-right: 1rem;
    }
}